$red: #20a8d8;
$anim-length: 0.2s;

.vertical {
  position: relative;
  left: 26px;
  top: 19px;
  width: 2px;
  height: 16px;
  background-color: white;
}

.horizontal {
  @extend .vertical;
  position: relative;
  top: 3px;
  transform: rotate(90deg);
}
.circle {
  position: absolute;
  float: right;
  z-index: 1000;
  top: -71px;
  float: right;
  // zoom: 2;
  margin: 1em;
  width: 54px;
  height: 54px;
  background-color: $red;
  border-radius: 50%;
  box-shadow: 0px 5px 10px #b2b2b2;
  .vertical {
    transition: transform $anim-length, width $anim-length, height $anim-length,
      top $anim-length, left $anim-length;
  }
  .horizontal {
    transition: transform $anim-length, width $anim-length, height $anim-length,
      top $anim-length, left $anim-length;
  }
}
// End compose button

.imagesWrapperExperience {
  white-space: nowrap;
  overflow-x: scroll;
  overflow-y: hidden;
  height: 131px;
}
.register-hotel-wrapper .container-fluid {
  overflow: scroll !important;
  overflow-x: hidden !important;
}
#clearBtn {
  color: #fff !important;
  background-color: #20a8d8 !important;
  border-color: #20a8d8 !important;
  border-radius: 50em !important;
  padding: 10px !important;
  width: 100px !important;
}
.addButtonModal {
  overflow-y: scroll;
}
.btn img {
  margin-top: 16px !important;
}
// Responsive datatable
#swal2-content {
  text-align: justify !important;
}
table {
  table-layout: auto;
  width: 100% !important;
  td,
  th {
    width: auto !important;
    white-space: normal;
    text-overflow: ellipsis;
    overflow: hidden;
  }
  &.table-striped {
    tbody {
      background-color: $strip-table-color-1;
      color: $gray-color;
      tr {
        &:nth-of-type(odd) {
          background-color: $strip-table-color-2;
        }
      }
    }
  }
}

.top-action-wrapper {
  margin-bottom: 10px;
}

.btn-shadow {
  border-radius: 20px;
  color: $gray-color;
  box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
  background-color: white;
  border: none;
  padding-left: 20px;
  padding-right: 20px;
  &:hover {
    color: $gray-color;
    box-shadow: 1px 3px 16px -3px rgba(0, 0, 0, 0.63);
  }
  // On click
  &.focus {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;
  }
  &.active {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;
  }
}

%servr-shadow {
  border-radius: 20px;
  color: $gray-color;
  box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
  background-color: white;
  border: none;
  padding-left: 20px;
  padding-right: 20px;
}

%servr-button {
  @extend %servr-shadow;
  &:hover {
    color: $gray-color;
    box-shadow: 1px 3px 16px -3px rgba(0, 0, 0, 0.63);
  }
  // On click
  &.focus {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;
  }
  &.active {
    box-shadow: 1px 3px 20px -3px rgba(0, 0, 0, 0.63) !important;
  }
}

// Sweat alert 2
.swal2-container {
  .swal2-popup {
    border-radius: 70px;
    padding: 2.25em;
  }
}

// Yajra datatable
.dataTables_paginate {
  .pagination {
    #guestTable_previous {
      .page-link {
        border-radius: 20px 0 0 20px;
      }
    }
    #guestTable_next {
      .page-link {
        border-radius: 0 20px 20px 0;
      }
    }
  }
}

.modal {
  .modal-content {
    @extend %servr-shadow;
    border-radius: 40px;
    padding: 40px;
  }
}

.chatsWrapper {
  position: fixed;
  bottom: 0;
  right: 0;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  .chatGroupWrapper {
    margin-right: 10px;
    width: 150px;
    &:hover {
      cursor: pointer;
    }
    .chatGroupTextWrapper {
      box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
      background-color: $blue-primary;
      border-radius: 28px 28px 0 0;
      height: 49px;
      line-height: 51px;
      position: relative;
      .notify-bubble {
        position: absolute;
        top: -3px;
        right: -3px;
        padding: 6px;
        background-color: #81d4ff;
        color: white;
        font-size: 1em;
        border-radius: 50%;
        //box-shadow: 1px 1px 1px grey;
        line-height: 15px;
        width: 28px;
        text-align: center;
      }
      .chatGroupText {
        vertical-align: middle;
        display: block;
        text-align: center;
        font-size: 15pt;
        color: $light-gray-color;
      }
    }
    .chatGroupBodyWrapper {
      box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
      max-height: 311px;
      overflow-y: scroll;
      background-color: $light-gray-color;
      ul {
        list-style-type: none;
        padding-left: 0;
        text-align: center;
        margin-bottom: 0;
        li {
          font-size: 12pt;
          margin: 2px 0;
          border-bottom: 1px solid $strip-table-color-2;
          padding-top: 5px;
          padding-bottom: 5px;
          &:hover {
            background-color: $blue-primary;
            color: $light-gray-color;
          }
        }
      }
    }
  }
  .chatWrapper {
    width: 300px;
    margin-right: 10px;
    .topHeaderChatGuest {
      color: $light-gray-color;
      background-color: $blue-primary;
      padding: 14px 24px;
      border-radius: 28px 28px 0 0;
      position: relative;
      height: 50px;
      box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
      &:hover {
        cursor: pointer;
      }
      .headerLiveChatText {
        font-size: 14pt;
        position: absolute;
        top: 30%;
        left: 10%;
      }
      .headerRoomText {
        font-size: 11pt;
        position: absolute;
        top: 34%;
        // right: 18%;
      }
      i {
        position: absolute;
        top: 32%;
        right: 8%;
        font-size: 15pt;
        &:hover {
          color: $gray-color;
        }
      }
    }
    .bodyRoomBox {
      box-shadow: 1px 2px 10px -5px rgba(0, 0, 0, 0.63);
    }
    .chatBox {
      height: 250px;
      overflow-y: scroll;
      margin-bottom: 0;
      background-color: $light-gray-color;
      padding: 10px;
      .another {
        display: flex;
        flex-direction: row;
        align-items: center;
        margin-bottom: 10px;
        margin-right: 36px;
        .avatar-icon {
          img {
            width: 30px;
            height: 30px;
            object-fit: cover;
          }
        }
        .messages {
          @extend %servr-shadow;
          padding: 6px 15px;
          margin-left: 6px;
          p {
            margin-bottom: 0;
          }
        }
      }
      .me {
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        margin-bottom: 10px;
        margin-left: 36px;
        .avatar-icon {
          img {
            width: 30px;
            height: 30px;
            object-fit: cover;
          }
        }
        .messages {
          @extend %servr-shadow;
          padding: 6px 15px;
          margin-right: 6px;
          background-color: $blue-primary;
          color: $light-gray-color;
          p {
            margin-bottom: 0;
          }
        }
      }
    }
    .actionFooter {
      background-color: $light-gray-color;
      .textChatWrapper {
        padding-right: 0;
        .form-group {
          margin: 10px 10px 15px 10px;
          .textChat {
            @extend %servr-shadow;
            text-align: left;
          }
        }
      }
      .btnSendWrapper {
        padding-left: 0;
        margin-top: 10px;
        .sendChatBtn {
          @extend %servr-button;
          padding-left: 14px;
          padding-right: 14px;
        }
      }
    }
  }
}

.notifyWrapper {
  &:hover {
    cursor: pointer;
  }
}

// Loading facebook
.ticontainer {
  .tiblock {
    align-items: center;
    display: flex;
    height: 17px;
    .tidot {
      background-color: #90949c;
      -webkit-animation: mercuryTypingAnimation 1.5s infinite ease-in-out;
      border-radius: 2px;
      display: inline-block;
      height: 4px;
      margin-right: 2px;
      width: 4px;
      &:nth-child(1) {
        -webkit-animation-delay: 200ms;
      }
      &:nth-child(2) {
        -webkit-animation-delay: 300ms;
      }
      &:nth-child(3) {
        -webkit-animation-delay: 400ms;
      }
    }
  }
}
@-webkit-keyframes mercuryTypingAnimation {
  0% {
    -webkit-transform: translateY(0px);
  }

  28% {
    -webkit-transform: translateY(-5px);
  }

  44% {
    -webkit-transform: translateY(0px);
  }
}
